
I instantly found myself in absolutely real a place. I have no words to express all I saw and heard. I knew all; I knew why life, and why grief. But the knowledge is all gone because maybe a human mind cannot contain such amount of knowledge. In this regard, maybe forgetting is a way to safeguard us. The body I was in was quite similar to the human one, but incredibly powerful. Coming back was terrible, as if they were locking me into a can, I cried for hours. Then, for some time, I have been euphoric. I wanted to tell anybody that death does not exist, rather the contrary: it's wonderful, and everybody was looking at me as if I were a mad-woman. I didn't tell anybody anything anymore for decades. I just read all I could find and I discovered it wasn't just me. It was so very beautiful.
